function special_errorbar(x,y,stdy,mt,ms,lw,ebw,lc,fc)
x=x(:);
y=y(:);
stdy=stdy(:);
hold on
plot(x,y,mt,'MarkerSize',ms,'Color',lc,'MarkerFaceColor',fc)
line([x,x]',[y+stdy,y-stdy]','Color',lc,'LineWidth',lw)
line([x-0.5*ebw,x+0.5*ebw]',[y+stdy,y+stdy]','Color',lc,'LineWidth',lw)
line([x-0.5*ebw,x+0.5*ebw]',[y-stdy,y-stdy]','Color',lc,'LineWidth',lw)


hold off
end